import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/unReporCity/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/biz/org/` + url, ...arg)
/**
 * 漏报统计市州Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/09 14:14
 **/
export default {
	// 获取漏报统计市州分页
	unReporCityPage(data) {
		return request('page', data, 'get')
	},
	//查询接口
	unReporCityquery(data) {
		return request1('getOrgList', data, 'get')
	},
	// 市州导出
	exportData(data) {
		return request('exportByEntity', data, 'post')
	},
	// 删除漏报统计市州
	unReporCityDelete(data) {
		return request('delete', data)
	},
	// 获取漏报统计市州详情
	unReporCityDetail(data) {
		return request('detail', data, 'get')
	}
}
